Yarn v0.16.1 发布,Facebook 新推的包管理器

来源: 投稿
作者: 王练
2016-10-24

Yarn v0.16.1 发布了,Yarn 是 Facebook 贡献 Javascript 包管理器,用于替代现有的 npm 客户端或者其他兼容 npm 仓库的包管理工具。Yarn 保留了现有工作流的特性,优点是更快、更安全、更可靠。

该版本没有显著更新,只是删除了.tar.gz里面意外放进去的一个构建工具。

上版本更新内容可查看:

https://github.com/yarnpkg/yarn/releases

下载地址:

展开阅读全文
6 收藏
分享
加载中
最新评论 (7)

引用来自“caryhgq”的评论

为啥这个不能和npm共存呢?通过brew 安装后,npm就不能用了,并且全局安装后并不能使用。。。;还是用npm保险

引用来自“chenwenli”的评论

可能是只在osx出现的问题,其他应该没影响

引用来自“乱码.”的评论

mac 也没问题的。

npm i -g yarn

完美共存。
按照官方的安装方法(https://yarnpkg.com/en/docs/install)“brew update brew install yarn”,怎么就不行呢?
2016-10-24 11:48
0
回复
举报

引用来自“caryhgq”的评论

为啥这个不能和npm共存呢?通过brew 安装后,npm就不能用了,并且全局安装后并不能使用。。。;还是用npm保险

引用来自“chenwenli”的评论

可能是只在osx出现的问题,其他应该没影响
mac 也没问题的。

npm i -g yarn

完美共存。
2016-10-24 09:40
0
回复
举报

引用来自“caryhgq”的评论

为啥这个不能和npm共存呢?通过brew 安装后,npm就不能用了,并且全局安装后并不能使用。。。;还是用npm保险
可能是只在osx出现的问题,其他应该没影响
2016-10-24 09:16
0
回复
举报

引用来自“leo108”的评论

这玩意和hadoop没有毛线关系好嘛
感谢提醒,和Apache的YARN弄混了。
2016-10-24 08:30
0
回复
举报
为啥这个不能和npm共存呢?通过brew 安装后,npm就不能用了,并且全局安装后并不能使用。。。;还是用npm保险
2016-10-24 08:29
0
回复
举报
yarn不是fb推出的替代npm的吗?
2016-10-24 08:16
0
回复
举报
这玩意和hadoop没有毛线关系好嘛
2016-10-24 07:41
0
回复
举报
更多评论
7 评论
6 收藏
分享
返回顶部
顶部